Flows
The flow draft object
Attributes
idstring (uuid)requiredIdentifier for this resource.
namestringrequiredlength1–120Human-readable name for this resource.
statusstringrequiredCurrent status of this resource or operation.
Allowed valuesdraftreadyarchivedversionstringrequiredSpecifies version for this management flow summary.
screenCountintegerrequiredrange0–50Number of screens.
metaLinksarray of objectrequiredMeta links associated with this management flow summary.
createdAtintegerrequiredmin0formatint64Unix timestamp in milliseconds when this resource was created.
updatedAtintegerrequiredmin0formatint64Unix timestamp in milliseconds when this resource was last updated.
definitionobjectrequiredStructured definition for this resource.
{
"id": "00000000-0000-4000-8000-000000000000",
"name": "string",
"status": "draft",
"version": "string",
"screenCount": 0,
"metaLinks": [
{}
],
"createdAt": 0,
"updatedAt": 0,
"definition": {}
}Create flow draft
- Base URL
https://api.polymorfa.com- Required permission
sessions:manage
Creates a project-scoped WhatsApp Flow draft. A supplied draftId makes retries idempotent.
Requires sessions:manage. Project tokens only access resources in their own project.
Body
projectIdstring (uuid)requiredIdentifier of the Polymorfa project that owns this resource.
draftIdstring (uuid)Identifier of the saved draft.
namestringrequiredlength1–120Human-readable name for this resource.
definitionobjectrequiredStructured definition for this resource.
Responses
200Success
dataobjectrequiredStructured data carried by this object.
Show 9 child fields
Show 3 headers
400A path, query, or request-body value did not pass validation.
401Missing/invalid credential for this audience.
403Authenticated but lacks the required scope/role/audience.
404The requested resource was not found inside the authenticated team or project scope.
curl -X POST "https://api.polymorfa.com/platform/flows" \
-H "Authorization: Bearer YOUR_API_KEY" \
-H "Polymorfa-Version: 2026-09-22" \
-H "Content-Type: application/json" \
-d '{
"projectId": "00000000-0000-4000-8000-000000000000",
"name": "string",
"definition": {}
}'{
"data": {
"id": "00000000-0000-4000-8000-000000000000",
"name": "string",
"status": "draft",
"version": "string",
"screenCount": 0,
"metaLinks": [
{}
],
"createdAt": 0,
"updatedAt": 0,
"definition": {}
}
}List flow drafts
- Base URL
https://api.polymorfa.com- Required permission
sessions:read
Lists compact WhatsApp Flow draft summaries in one project.
Requires sessions:read. Project tokens only access resources in their own project.
Query parameters
projectIdstringrequiredIdentifier of the Polymorfa project that owns this resource.
Responses
200Success
dataarray of objectrequiredmax items250Structured data carried by this object.
Show 8 child fields
Show 3 headers
400A path, query, or request-body value did not pass validation.
401Missing/invalid credential for this audience.
403Authenticated but lacks the required scope/role/audience.
404The requested resource was not found inside the authenticated team or project scope.
curl "https://api.polymorfa.com/platform/flows?projectId=<projectId>" \
-H "Authorization: Bearer YOUR_API_KEY" \
-H "Polymorfa-Version: 2026-09-22"{
"data": [
{
"id": "00000000-0000-4000-8000-000000000000",
"name": "string",
"status": "draft",
"version": "string",
"screenCount": 0,
"metaLinks": [
{}
],
"createdAt": 0,
"updatedAt": 0
}
]
}Get flow
- Base URL
https://api.polymorfa.com- Required permission
sessions:read
Gets one project-scoped WhatsApp Flow draft.
Requires sessions:read. Project tokens only access resources in their own project.
Path parameters
flowIdstringrequiredIdentifier for the flow.
Query parameters
projectIdstringrequiredIdentifier of the Polymorfa project that owns this resource.
Responses
200Success
dataobjectrequirednullableStructured data carried by this object.
Show 9 child fields
Show 3 headers
400A path, query, or request-body value did not pass validation.
401Missing/invalid credential for this audience.
403Authenticated but lacks the required scope/role/audience.
404The requested resource was not found inside the authenticated team or project scope.
curl "https://api.polymorfa.com/platform/flows/<flowId>?projectId=<projectId>" \
-H "Authorization: Bearer YOUR_API_KEY" \
-H "Polymorfa-Version: 2026-09-22"{
"data": {
"id": "00000000-0000-4000-8000-000000000000",
"name": "string",
"status": "draft",
"version": "string",
"screenCount": 0,
"metaLinks": [
{}
],
"createdAt": 0,
"updatedAt": 0,
"definition": {}
}
}Update flow
- Base URL
https://api.polymorfa.com- Required permission
sessions:manage
Updates a Flow draft when expectedUpdatedAt matches the stored revision.
Requires sessions:manage. Project tokens only access resources in their own project.
Path parameters
flowIdstringrequiredIdentifier for the flow.
Body
projectIdstring (uuid)requiredIdentifier of the Polymorfa project that owns this resource.
expectedUpdatedAtintegerrequiredmin0formatint64Unix timestamp in milliseconds that must match the resource's current updatedAt value.
namestringlength1–120Human-readable name for this resource.
statusstringStatus value to assign to this resource.
Allowed valuesdraftreadyarchiveddefinitionobjectStructured definition for this resource.
Responses
200Success
dataobjectrequiredStructured data carried by this object.
Show 9 child fields
Show 3 headers
400A path, query, or request-body value did not pass validation.
401Missing/invalid credential for this audience.
403Authenticated but lacks the required scope/role/audience.
404The requested resource was not found inside the authenticated team or project scope.
409The request conflicts with the resource's current state.
curl -X PATCH "https://api.polymorfa.com/platform/flows/<flowId>" \
-H "Authorization: Bearer YOUR_API_KEY" \
-H "Polymorfa-Version: 2026-09-22" \
-H "Content-Type: application/json" \
-d '{
"projectId": "00000000-0000-4000-8000-000000000000",
"expectedUpdatedAt": 0
}'{
"data": {
"id": "00000000-0000-4000-8000-000000000000",
"name": "string",
"status": "draft",
"version": "string",
"screenCount": 0,
"metaLinks": [
{}
],
"createdAt": 0,
"updatedAt": 0,
"definition": {}
}
}Delete flow
- Base URL
https://api.polymorfa.com- Required permission
sessions:manage
Deletes a local Flow draft without deleting linked Meta Flow assets.
Requires sessions:manage. Project tokens only access resources in their own project.
Path parameters
flowIdstringrequiredIdentifier for the flow.
Query parameters
projectIdstringrequiredIdentifier of the Polymorfa project that owns this resource.
Responses
200Success
dataobjectrequiredStructured data carried by this object.
Show 1 child field
Show 3 headers
400A path, query, or request-body value did not pass validation.
401Missing/invalid credential for this audience.
403Authenticated but lacks the required scope/role/audience.
404The requested resource was not found inside the authenticated team or project scope.
curl -X DELETE "https://api.polymorfa.com/platform/flows/<flowId>?projectId=<projectId>" \
-H "Authorization: Bearer YOUR_API_KEY" \
-H "Polymorfa-Version: 2026-09-22"{
"data": {
"ok": true
}
}